#include "lexical_cast.hpp"
//#include <boost/lexical_cast.hpp>
#include <iostream>
#include <locale>
#include <cstdlib>
#include <sstream>

int main()
{
	std::locale::global( std::locale( "polish" ) );

	std::stringstream stream;//("1 000 000");
	stream << 1000000;
	int val;
	//stream.unsetf(std::ios::skipws);
	//stream.precision(6);
	stream >> val;

	std::cout << boost::lexical_cast< std::string >( 1000000 ) << std::endl;
	std::cout << boost::lexical_cast< std::string >( 1.23456 ) << std::endl;
	std::cout << boost::lexical_cast< int >( "1000000" ) << std::endl;
	//std::cout << boost::lexical_cast< int >( "1,000,000" ) << std::endl;
	std::cout << boost::lexical_cast< int >( "1 000 000" ) << std::endl;
	//std::cout << boost::lexical_cast< double >( "1.23456" ) << std::endl;
	std::cout << boost::lexical_cast< double >( "1,23456" ) << std::endl;

	std::cout << boost::classic_lexical_cast< std::string >( 1000000 ) << std::endl;
	std::cout << boost::classic_lexical_cast< std::string >( 1.23456 ) << std::endl;
	std::cout << boost::classic_lexical_cast< int >( "1000000" ) << std::endl;
	std::cout << boost::classic_lexical_cast< double >( "1.23456" ) << std::endl;
	//std::cout << boost::classic_lexical_cast< int >( "1,000,000" ) << std::endl;

	return EXIT_SUCCESS;
}
